Inhalte
Index 🔎︎

# Anweisung DefStr

Wenn kein Zeichen oder Schlüsselwort zur Typendeklaration angegeben ist, setzt die Anweisung DefStr den Standardvariablentyp entsprechend einem Buchstabenbereich.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameter:

char: Buchstabenpräfix, das den Standarddatentyp für Variablen angibt.

char-char: Buchstabenbereichspräfixe, die den Standarddatentyp für Variablen angeben.

### Beispiel:

        ' Präfixdefinitionen für Variablentypen:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefStr
          sStr=String ' sStr ist eine implizite string-Variable
          Print VarType(slice), strng, TypeName(sheet) ' Ergebnis ist: 8 "" String
      End Sub